[arch-commits] Commit in gst-plugins-bad/repos (4 files)
Evangelos Foutras
foutrelis at archlinux.org
Fri Mar 4 21:14:25 UTC 2016
Date: Friday, March 4, 2016 @ 22:14:25
Author: foutrelis
Revision: 260829
archrelease: copy trunk to staging-i686, staging-x86_64
Added:
gst-plugins-bad/repos/staging-i686/
gst-plugins-bad/repos/staging-i686/PKGBUILD
(from rev 260828, gst-plugins-bad/trunk/PKGBUILD)
gst-plugins-bad/repos/staging-x86_64/
gst-plugins-bad/repos/staging-x86_64/PKGBUILD
(from rev 260828, gst-plugins-bad/trunk/PKGBUILD)
-------------------------+
staging-i686/PKGBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++
staging-x86_64/PKGBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 100 insertions(+)
Copied: gst-plugins-bad/repos/staging-i686/PKGBUILD (from rev 260828, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD (rev 0)
+++ staging-i686/PKGBUILD 2016-03-04 21:14:25 UTC (rev 260829)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.6.3
+pkgrel=6
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca'
+ 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth'
+ 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc' 'rtmpdump' 'libgudev' 'graphene')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+ 'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb'
+ 'qt5-declarative' 'qt5-x11extras' 'qt5-wayland')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('971b29101d6a9c5e3fe94d99d977a227f58f0b2d29b6ca2c7f292052542b3a61')
+
+prepare() {
+ cd $pkgname-$pkgver
+ autoreconf -vi
+}
+
+build() {
+ cd $pkgname-$pkgver
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --disable-static --enable-experimental --enable-gtk-doc \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="${pkgdir}" install
+}
Copied: gst-plugins-bad/repos/staging-x86_64/PKGBUILD (from rev 260828, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2016-03-04 21:14:25 UTC (rev 260829)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.6.3
+pkgrel=6
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca'
+ 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth'
+ 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc' 'rtmpdump' 'libgudev' 'graphene')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+ 'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb'
+ 'qt5-declarative' 'qt5-x11extras' 'qt5-wayland')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('971b29101d6a9c5e3fe94d99d977a227f58f0b2d29b6ca2c7f292052542b3a61')
+
+prepare() {
+ cd $pkgname-$pkgver
+ autoreconf -vi
+}
+
+build() {
+ cd $pkgname-$pkgver
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --disable-static --enable-experimental --enable-gtk-doc \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="${pkgdir}" install
+}
More information about the arch-commits
mailing list